Reddit Subreddit Details
Fetch subreddit about data, rules, and optionally moderators.
POST
/v1/reddit/subreddit/details Request Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| include | body | array | No | Sections to include. Defaults to about and rules. |
| includeModerators | body | boolean | No | Convenience flag to include moderators. |
| subreddit | body | string | No | Subreddit name, r/name, or subreddit URL. |
| url | body | string | No | Subreddit URL. |
Response Structure
Async kickoff response
Polled run result response
Sync response
Declared output schema
Code Examples
Async + polling
RUN=$(curl -s -X POST "https://api.browsable.app/v1/reddit/subreddit/details" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"include":["about","rules"],"includeModerators":false,"subreddit":"programming","url":"https://example.com/item-1"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
doneSync
curl -X POST "https://api.browsable.app/v1/reddit/subreddit/details" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"include":["about","rules"],"includeModerators":false,"subreddit":"programming","url":"https://example.com/item-1","_run":{"async":false}}'